E-MailRelay

Classes | Namespaces | Typedefs
gmd5.cpp File Reference
`#include "gdef.h"`
`#include "gmd5.h"`
`#include "ghashstate.h"`
`#include "gexception.h"`
`#include "gassert.h"`
`#include <string>`
`#include <cstdlib>`
`#include <array>`

Go to the source code of this file.

## Classes
class | G::Md5Imp::digest
| A class that calculates an md5 digest from one or more 64-byte blocks of data using the algorithm described by RFC-1321. More...
class | G::Md5Imp::format
| A thin veneer over G::HashState. More...
class | G::Md5Imp::block
| A helper class used by the Md5Imp::digest implementation to represent a 64-character data block. More...

## Namespaces
namespace | G
| Low-level classes.
namespace | G::Md5Imp
| An implementation namespace for G::Md5.

## Typedefs
using | G::Md5Imp::digest_state = G::Md5::digest_state
using | G::Md5Imp::small_t = G::Md5::small_t
using | G::Md5Imp::big_t = G::Md5::big_t